<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>POIXMLProperties.CustomProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="POIXMLProperties.CustomProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIXMLProperties.CustomProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html"
               title="class in org.apache.poi.ooxml"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ooxml/POIXMLProperties.ExtendedProperties.html"
               title="class in org.apache.poi.ooxml"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html" target="_top">Frames</a>
        </li>
        <li><a href="POIXMLProperties.CustomProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ooxml</div>
    <h2 title="Class POIXMLProperties.CustomProperties" class="title">Class POIXMLProperties.CustomProperties</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ooxml.POIXMLProperties.CustomProperties</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Enclosing class:</dt>
                    <dd><a href="../../../../org/apache/poi/ooxml/POIXMLProperties.html"
                           title="class in org.apache.poi.ooxml">POIXMLProperties</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public static class <span class="typeNameLabel">POIXMLProperties.CustomProperties</span>
extends java.lang.Object</pre>
                <div class="block">Custom document properties</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html#FORMAT_ID">FORMAT_ID</a></span></code>
                                    <div class="block">Each custom property element contains an fmtid attribute
                                        with the same GUID value ({D5CDD505-2E9C-101B-9397-08002B2CF9AE}).
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html#addProperty-java.lang.String-boolean-">addProperty</a></span>(java.lang.String&nbsp;name,
                                    boolean&nbsp;value)</code>
                                    <div class="block">Add a new boolean property</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html#addProperty-java.lang.String-double-">addProperty</a></span>(java.lang.String&nbsp;name,
                                    double&nbsp;value)</code>
                                    <div class="block">Add a new double property</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html#addProperty-java.lang.String-int-">addProperty</a></span>(java.lang.String&nbsp;name,
                                    int&nbsp;value)</code>
                                    <div class="block">Add a new integer property</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html#addProperty-java.lang.String-java.lang.String-">addProperty</a></span>(java.lang.String&nbsp;name,
                                    java.lang.String&nbsp;value)</code>
                                    <div class="block">Add a new string property</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html#contains-java.lang.String-">contains</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Check if a property with this name already exists in the
                                        collection of custom properties
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperty</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html#getProperty-java.lang.String-">getProperty</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Retrieve the custom property with this name, or null if none
                                        exists.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperties</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html#getUnderlyingProperties--">getUnderlyingProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html#nextPid--">nextPid</a></span>()</code>
                                    <div class="block">Generate next id that uniquely relates a custom property</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="FORMAT_ID">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FORMAT_ID</h4>
                                <pre>public static final&nbsp;java.lang.String FORMAT_ID</pre>
                                <div class="block">Each custom property element contains an fmtid attribute
                                    with the same GUID value ({D5CDD505-2E9C-101B-9397-08002B2CF9AE}).
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.ooxml.POIXMLProperties.CustomProperties.FORMAT_ID">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getUnderlyingProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUnderlyingProperties</h4>
                                <pre>public&nbsp;org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperties&nbsp;getUnderlyingProperties()</pre>
                            </li>
                        </ul>
                        <a name="addProperty-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addProperty</h4>
                                <pre>public&nbsp;void&nbsp;addProperty(java.lang.String&nbsp;name,
                        java.lang.String&nbsp;value)</pre>
                                <div class="block">Add a new string property</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the property name</dd>
                                    <dd><code>value</code> - the property value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if a property with this name
                                        already exists
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addProperty-java.lang.String-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addProperty</h4>
                                <pre>public&nbsp;void&nbsp;addProperty(java.lang.String&nbsp;name,
                        double&nbsp;value)</pre>
                                <div class="block">Add a new double property</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the property name</dd>
                                    <dd><code>value</code> - the property value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if a property with this name
                                        already exists
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addProperty-java.lang.String-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addProperty</h4>
                                <pre>public&nbsp;void&nbsp;addProperty(java.lang.String&nbsp;name,
                        int&nbsp;value)</pre>
                                <div class="block">Add a new integer property</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the property name</dd>
                                    <dd><code>value</code> - the property value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if a property with this name
                                        already exists
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addProperty-java.lang.String-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addProperty</h4>
                                <pre>public&nbsp;void&nbsp;addProperty(java.lang.String&nbsp;name,
                        boolean&nbsp;value)</pre>
                                <div class="block">Add a new boolean property</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the property name</dd>
                                    <dd><code>value</code> - the property value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if a property with this name
                                        already exists
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="nextPid--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>nextPid</h4>
                                <pre>protected&nbsp;int&nbsp;nextPid()</pre>
                                <div class="block">Generate next id that uniquely relates a custom property</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>next property id starting with 2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="contains-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>contains</h4>
                                <pre>public&nbsp;boolean&nbsp;contains(java.lang.String&nbsp;name)</pre>
                                <div class="block">Check if a property with this name already exists in the collection
                                    of custom properties
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name to check</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether a property with the given name exists in the custom properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getProperty-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getProperty</h4>
                                <pre>public&nbsp;org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperty&nbsp;getProperty(java.lang.String&nbsp;name)</pre>
                                <div class="block">Retrieve the custom property with this name, or null if none exists.

                                    You will need to test the various isSetX methods to work out
                                    what the type of the property is, before fetching the
                                    appropriate value for it.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the property to fetch</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the custom property with this name, or null if none exists</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIXMLProperties.CustomProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html"
               title="class in org.apache.poi.ooxml"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ooxml/POIXMLProperties.ExtendedProperties.html"
               title="class in org.apache.poi.ooxml"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html" target="_top">Frames</a>
        </li>
        <li><a href="POIXMLProperties.CustomProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
